Subject: Offline Message from David Roman: We own a Swag8 e-scooter. I strongly suspec
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sun, 28 Aug 2022 16:02:30 -0000

From: David Roman <[email-masked]>
Phone: 6173207868
Location: Northborough, United States
URL: https://swagtron.com/cheap-hoverboard-deals/
Department: SwagTron

We own a Swag8 e-scooter. I strongly suspect it is out of warranty. Can I purchase needed parts and why is there a sticker on the bottom of the chassis preventing me from removing the deck screw?

If yes on parts...the red wire to the charge port has detached. I assume this part can be isolated/replaced? Can the display/speed module be replaced as well? Thank you in advance! D

----
Zopim
https://www.zopim.com